import request from '@/utils/request'

//C端网站请求无需token 但需要SiteId start ------------------------------------->

//1.1 获取网站基本信息
export function getSiteInfo(data) {
  return request({
    url: 'web/getSiteInfo',
    method: 'post',
    data
  })
}

//1.2 获取网站导航池
export function getSiteCategory(params) {
  return request({
    url: '/web/getSiteCategory',
    method: 'get',
    params
  })
}

//1.3 获取网站底部导航
export function getFooterCategoryList(params) {
  return request({
    url: '/web/getFooterCategoryList',
    method: 'get',
    params
  })
}

//1.4 底部导航列表-详情
export function getFooterContentList(params) {
  return request({
    url: '/web/getFooterContentList',
    method: 'get',
    params
  })
}

//1.5 底部导航列表页-详情内容
export function getFooterContentInfo(params) {
  return request({
    url: '/web/getFooterContentInfo',
    method: 'get',
    params
  })
}

//1.6 获取行政区划
export function selectWebsiteArea(params) {
  return request({
    url: '/web/selectWebsiteArea',
    method: 'get',
    params
  })
}

//1.7 获取职能部门
export function selectWebsiteDepartment(params) {
  return request({
    url: '/web/selectWebsiteDepartment',
    method: 'get',
    params
  })
}

//1.8 获取某个站点下的新闻列表
export function getWebsiteArticlesList(params) {
  return request({
    url: '/web/getWebsiteArticlesList',
    method: 'get',
    params
  })
}

//1.9 获取新闻详情
export function selectWebsiteArticleInfo(params) {
  return request({
    url: '/web/selectWebsiteArticleInfo',
    method: 'get',
    params
  })
}

//2.0 获取所有职能
export function getAllDepartment(params) {
  return request({
    url: '/public/getAllDepartment',
    method: 'get',
    params
  })
}

//C端网站请求无需token start ------------------------------------->